#
# spec file for package minetest-game
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           minetest-game
Version:        0.4.15
Release:        1.4
Summary:        Minetest Game
License:        LGPL-2.1+ and WTFPL and CC-BY-SA-3.0 and CC-BY-SA-4.0 and CC-BY-3.0 and CC0-1.0
Group:          Amusements/Games/3D/Simulation
Url:            http://minetest.net/
Source0:        https://github.com/minetest/minetest_game/archive/%{version}/minetest_game-%{version}.tar.gz
Source99:       minetest-game-rpmlintrc
BuildRequires:  fdupes
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
Requires:       minetest = %{version}

%description
The main game for the Minetest game engine.

%prep
%setup -q -n minetest_game-%{version}

%build

%install
mkdir -p %{buildroot}%{_datadir}/minetest/games/minetest_game
cp -ar * %{buildroot}%{_datadir}/minetest/games/minetest_game
%fdupes -s %{buildroot}%{_datadir}/minetest/games/minetest_game

%files
%defattr(-,root,root)
%dir %{_datadir}/minetest/
%dir %{_datadir}/minetest/games/
%{_datadir}/minetest/games/minetest_game

%changelog
* Tue Jan 10 2017 rpm@fthiessen.de
- Added minetest-game-rpmlintrc to fix build on openSUSE 13.1
* Mon Dec 26 2016 mailaender@opensuse.org
- Update to version 0.4.15
* Wed Jul 27 2016 jengelh@inai.de
- Update License field
* Mon May 16 2016 rpm@fthiessen.de
- Update to 0.4.14
* Wed Nov 25 2015 rpm@fthiessen.de
- Update to 0.4.13
* Thu Feb 19 2015 khyota@redhyena.net
- update 0.4.12
* Sun Sep 21 2014 mailaender@opensuse.org
- update 0.4.10
* Tue Jan  7 2014 mailaender@opensuse.org
- update 0.4.9
* Thu Aug  8 2013 opensuse@dstoecker.de
- update to 0.4.7
* Fri Apr 12 2013 mailaender@opensuse.org
- update to version 0.4.6
* Sun Dec  9 2012 m407@mail.ru
- Build version 0.4.4
* Sun Sep 23 2012 joop.boonen@opensuse.org
- Renamed the spec and changes file to the correct name
- Removed the creative mod as it's currently broken
- Used fdupes to get link duplicate file
* Sat Sep 22 2012 joop.boonen@opensuse.org
- Build version 0.4.3
* Fri Aug 10 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Always build for noarch
* Fri Aug 10 2012 m407@mail.ru
- Initial package (version 0.4.1) for build.opensuse.org
